%define debug_package %{nil}
%if ("%{?kylin}" != "") || ("%{?kylinsec}" != "")
    %define kiran_for_openeuler 0
    %if %{defined ks_installclass} && "%{ks_installclass}" == "Server"
        %define kylinsec_server 1
    %else
        %define kylinsec_server 0
    %endif
%else
    %define kiran_for_openeuler 1
%endif


Name:    kiran-desktop
Version: 2.6.0
Release: 10
Summary: Kiran desktop environment
#Group:
License: MulanPSL-2.0
URL:     https://gitee.com/openeuler/kiran-desktop
Source0: %{name}-%{version}.tar.gz

# 设置Marco默认主题
Source1: 99_unikylin-mate-marco-general-theme.gschema.override
# 更改Mate Notification 通知位置
Source2: 99_kiran-org-mate-NotificationDaemon.gschema.override
# 服务器版本定制配置，禁用Xorg screensaver以及DPMS
Source3: 99-disable-xorg-dpms.conf
# 服务器版本定制配置，禁用开始菜单休眠/待机
Source4: 99_kiran-server.gschema.override
# Kiran Mime Apps
Source5: kiran-mimeapps.list

%if "%{kiran_for_openeuler}" == "0"
Requires: mate-notification-daemon >= 1.22.0-1
Requires: mate-media >= 1.22.1-1
Requires: caja >= 1.22.0-1
Requires: fcitx >= 4.2.9.6-4
Requires: gtk3 >= 3.22.30-4
Requires: kylin-license-core >= 2.2
Requires: kylin-license-client >= 2.2
Requires: kylin-license-tool >= 2.2
Requires: kiran-authentication-devices-sdk
%else
Requires: mate-notification-daemon
Requires: mate-media
Requires: caja
Requires: caja-open-terminal
Requires: fcitx
Requires: gtk3
Requires: mate-screenshot
%endif

%ifnarch  loongarch64 sw_64
Requires: firefox
%endif

Requires: xorg-x11-drivers
Requires: xorg-x11-server-Xorg
Requires: xorg-x11-utils
Requires: xorg-x11-xauth
Requires: xorg-x11-xinit
Requires: mesa-dri-drivers

Requires: lightdm
Requires: lightdm-gobject

Requires: NetworkManager
Requires: NetworkManager-adsl
Requires: NetworkManager-ovs
Requires: NetworkManager-ppp
Requires: NetworkManager-team
Requires: NetworkManager-wwan
Requires: nm-connection-editor

Requires: adwaita-gtk2-theme
Requires: google-noto-cjk-fonts

Requires: alsa-plugins-pulseaudio
Requires: dconf
Requires: dconf-editor
Requires: flatpak

Requires: gvfs
Requires: gvfs-afc
Requires: gvfs-afp
Requires: gvfs-archive
Requires: gvfs-gphoto2
Requires: gvfs-mtp
Requires: gvfs-smb

%if (("%{?kylin}" != "") && (0%{?ks_minor_version} >= 5)) || "%{?openEuler}" != ""
Requires: gvfs-fuse3
%else
Requires: gvfs-fuse
%endif


Requires: mate-desktop
Requires: mate-menus

Requires: kwin
Requires: marco
Requires: engrampa
Requires: atril
Requires: pluma
Requires: eom
Requires: mate-settings-daemon
Requires: mate-user-guide
Requires: mate-menus-preferences-category-menu
Requires: mate-terminal
Requires: libmatekbd
Requires: libmatemixer
Requires: libmateweather
Requires: yelp
Requires: libsecret
Requires: lm_sensors
Requires: gnome-disk-utility
Requires: firewall-config

Requires: ntfs-3g
Requires: ntfsprogs
Requires: pavucontrol
Requires: setroubleshoot
Requires: system-config-printer
Requires: fcitx-qt5
Requires: fcitx-configtool
Requires: glx-utils
Requires: initial-setup-gui
Requires: plymouth-system-theme

Requires: p7zip
Requires: xdg-user-dirs-gtk
Requires: vim-enhanced
Requires: spice-vdagent
Requires: kf5-kconfig
Requires: libqtxdg

Requires: kiran-authentication-service >= 2.5
Requires: kiran-authentication-devices >= 2.5
Requires: kiran-session-manager >= 2.5
Requires: kiran-control-panel >= 2.6
Requires: kiran-cpanel-launcher >= 2.6
Requires: kiran-cc-daemon-common >= 2.6
Requires: kiran-session-daemon >= 2.6
Requires: kiran-system-daemon >= 2.6
Requires: kiran-log-gtk3 >= 2.4
Requires: kiran-log-qt5 >= 2.4
Requires: kiran-widgets-qt5 >= 2.4
Requires: kiran-calculator >= 2.3
Requires: kiran-gtk-theme >= 2.6
Requires: kiran-screensaver-dialog >= 2.5
Requires: kiran-polkit-agent >= 2.5
Requires: lightdm-kiran-greeter >= 2.5
Requires: kiran-screensaver >= 2.2
Requires: kiran-applets >= 2.6
Requires: kiran-calendar >= 2.3
Requires: kiran-icon-theme >= 2.6
Requires: kiran-flameshot
Requires: kiran-wallpapers
Requires: kiran-panel
Requires: kiran-panel-libs
%if "%{kiran_for_openeuler}" == "1"
## 内部版本由于帮助手册相较于用户手册不全，暂时去掉kiran帮助手册用用户手册
Requires: kiran-manual
%endif
Obsoletes: kiran-cpanel-menu

%description
Kiran desktop environment

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}/%{_datadir}/doc/%{name}/
cp %{_builddir}/%{name}-%{version}/RELEASE.md  %{buildroot}/%{_datadir}/doc/%{name}/
install -D -m 0644 %SOURCE1 %{buildroot}%{_datadir}/glib-2.0/schemas/99_unikylin-mate-marco-general-theme.gschema.override
install -D -m 0644 %SOURCE2 %{buildroot}%{_datadir}/glib-2.0/schemas/99_kiran-org-mate-NotificationDaemon.gschema.override
%if "%{kylinsec_server}" == "1"
## 安装针对服务器版本禁用相应的电源配置
install -D -m 0644 %SOURCE3 %{buildroot}%{_datadir}/lightdm/lightdm.conf.d/99-disable-xorg-dpms.conf
install -D -m 0644 %SOURCE4 %{buildroot}%{_datadir}/glib-2.0/schemas/99_kiran-server.gschema.override
%endif
install -D -m 0644 %SOURCE5 %{buildroot}%{_datadir}/applications/kiran-mimeapps.list


%post
/usr/bin/update-desktop-database &> /dev/null || :

%if "%{kylinsec_server}" == "1"
## 禁用greeter/screensaver的休眠/待机
sed -i "s/can-suspend=true/can-suspend=false/g"     %{_datadir}/lightdm-kiran-greeter/greeter.ini
sed -i "s/can-hibernate=true/can-hibernate=false/g" %{_datadir}/lightdm-kiran-greeter/greeter.ini
sed -i "s/can-suspend=true/can-suspend=false/g"     %{_datadir}/kiran-screensaver-dialog/screensaver.ini
sed -i "s/can-hibernate=true/can-hibernate=false/g" %{_datadir}/kiran-screensaver-dialog/screensaver.ini
## 禁用控制中心前后端的电源插件
sed -i "/\[power\]/,/Available=true/s/Available=true/Available=false/g" %{_libdir}/kiran-cc-daemon/session/plugin_options
mv %{_datadir}/kiran-control-panel/category/desktop/power-management.desktop %{_datadir}/kiran-control-panel/category/desktop/power-management.desktop.disable
%endif


%postun
/usr/bin/update-desktop-database &> /dev/null || :


%posttrans
glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/null || :

%files
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/RELEASE.md
%{_datadir}/applications/kiran-mimeapps.list
%{_datadir}/glib-2.0/schemas/99_unikylin-mate-marco-general-theme.gschema.override
%{_datadir}/glib-2.0/schemas/99_kiran-org-mate-NotificationDaemon.gschema.override
%if "%{kylinsec_server}" == "1"
%{_datadir}/lightdm/lightdm.conf.d/99-disable-xorg-dpms.conf
%{_datadir}/glib-2.0/schemas/99_kiran-server.gschema.override
%endif


%changelog
* Fri Apr 19 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-10
- remove kiran-manual dependency in kylinsec release version(#35119)

* Wed Apr 17 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-9
- KYOS-B: Update kiran-mimeapps.list to adapt to the new default opening method for blank files (#35528)

* Tue Apr 09 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-8
- KYOS-F: set idle lock to false by default in the server version (#31787)

* Sun Apr 07 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-7
- KYOS-F: kylinsec-server set default theme to kiran-dark
- KYOS-B: remove dependencies(kiran-themes),change dependencies(gvfs-fuse3)

* Wed Mar 27 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-6
- KYOS-F: set Summer as the default icon theme for server(#31786)

* Wed Mar 27 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-5.kb1
- rebuild for 3.5.2

* Wed Mar 27 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-5
- KYOS-F: Disable power management for server versions(#31787)

* Tue Mar 05 2024 luoqing <liuxinhao@kylinsec.com.cn> - 2.6.0-4.kb1
- KYOS-F: change the default location of the popup notification to the top right (#30919)

* Fri Feb 23 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-3.kb2
- KYOS-B: adapt to kylinsec marcos

* Fri Jan 19 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-3.kb1
- KYOS-B: fix issue of failed pull dependency gvfs-fuse

* Thu Jan 18 2024 luoqing <luoqing@kylinsec.com.cn> - 2.6.0-2.kb1
- KYOS-F: update some dependent component version to 2.6

* Mon Dec 18 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-1.kb1
- KYOS-F: release 2.6.0

* Wed Dec 06 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.1-2.kb5
- KYBD: rebuild for KiranUI-2.6-next

* Wed Sep 13 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.1-2.kb1
- KYBD: rebuild for KiranUI-2.5-next

* Wed Sep 13 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.1-2
- KYBD: remove Require dejavu-fonts

* Tue Jul 25 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.1-1
- KYOS-F: add kiran-mimeapps.list file,add require atril(#10298)

* Mon Jul 10 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.0-10
- KYOS-F: Add kiran gschema override for GC (#9113 #9379)

* Thu Jun 29 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.0-9
- KYOS-F: fix org.mate.applications-calculator value error

* Tue Jun 27 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.0-8
- KYOS-F: Community version adds dependency mate-screenshot, add Gsettings overlay to start kiran calculator(#I7C0TD)

* Mon Jun 19 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.0-7
- KYOS-F: Add kwin's installation dependencies to support wayland sessions(#I7C89D)

* Fri Jun 09 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.0-6
- KYOS-F: Loongarch64 and SW_64 architectures do not install firefox.

* Thu May 25 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.0-5
- KYOS-F: Remove Require mate-polkit

* Thu Apr 27 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-4
- kYOS-F: Update RELEASE.md and add Kiran desktop-2.5 new feature description

* Mon Apr 24 2023 wangyucheng <wangyucheng@kylinsec.com.cn> - 2.5.0-3
- kYOS-F: Fix requires version number

* Thu Apr 20 2023 wangyucheng <wangyucheng@kylinsec.com.cn> - 2.5.0-2
- kYOS-F: Fix when %kylin is 3_*, Unable to run rpmbuild - bs

* Thu Apr 20 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-1
- kYOS-F: update to kiran-desktop-2.5
